| #! /bin/sh |
| |
| # Copyright (c) International Business Machines Corp., 2002 |
| # |
| # This program is free software; you can redistribute it and/or modify |
| # it under the terms of the GNU General Public License as published by |
| # the Free Software Foundation; either version 2 of the License, or |
| # (at your option) any later version. |
| # |
| # This program is distributed in the hope that it will be useful, |
| # but WITHOUT ANY WARRANTY; without even the implied warranty of |
| # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See |
| # the GNU General Public License for more details. |
| # |
| # You should have received a copy of the GNU General Public License |
| # along with this program; if not, write to the Free Software |
| # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA |
| |
| # 12/05/02 Port to bash -Robbie Williamson <[email protected]> |
| # 02/05/03 Modified - Manoj Iyer <[email protected]> use USCTEST macros |
| # fixed bugs. |
| # 07/27/05 Michael Reed <[email protected]> |
| # Made changes to account for the replacement of syslogd |
| # with syslog-ng |
| # |
| ################################################################## |
| # case4: Test the logging option: LOG_PID # |
| # # |
| # Do openlog() with LOG_PID option and see whether pid # |
| # is logged with message. # |
| ################################################################## |
| |
| . syslog-lib.sh || exit 1 |
| |
| syslog_case4() |
| { |
| tst_resm TINFO "Testing the log option: LOG_PID..." |
| |
| # Create the configuration file specific to this test case. |
| case "$CONFIG_FILE" in |
| /etc/syslog.conf|/etc/rsyslog.conf) |
| echo "$RSYSLOG_CONFIG" > $CONFIG_FILE |
| echo "user.info /var/log/messages" >> $CONFIG_FILE |
| ;; |
| |
| /etc/syslog-ng/syslog-ng.conf) |
| echo "source src{ internal(); unix-dgram(\"/dev/log\"); udp(ip(\"0.0.0.0\") port(514)); };" > $CONFIG_FILE |
| echo " " >> $CONFIG_FILE |
| echo "filter f_syslog_user { level(info) and facility(user); };" >> $CONFIG_FILE |
| echo "destination syslog_messages { file(\"/var/log/messages\");};" >> $CONFIG_FILE |
| echo "log { source(src); filter(f_syslog_user); destination(syslog_messages);};" >> $CONFIG_FILE |
| ;; |
| esac |
| |
| restart_syslog_daemon |
| |
| # Run syslogtst in the background and get the process id. |
| syslogtst 4 2>/dev/null & |
| log_pid=$! |
| if ! wait $log_pid; then |
| cleanup 1 |
| fi |
| |
| sleep 2 |
| |
| # check if /var/log/messages script exists |
| if [ ! -e /var/log/messages ]; then |
| tst_resm TBROK "/var/log/messages no such log file" |
| cleanup 1 |
| fi |
| |
| found=`grep -c "\[$log_pid\]: syslogtst: user info test." /var/log/messages` |
| if [ $found -ne 1 ]; then |
| status_flag=1 |
| fi |
| } |
| |
| tst_resm TINFO "case4: Test the logging option: LOG_PID" |
| tst_resm TINFO "Do openlog() with LOG_PID option and see whether pid" |
| tst_resm TINFO "is logged with message." |
| |
| setup |
| syslog_case4 |
| cleanup ${status_flag:=0} |